Package org.springframework.expression.spel.support

# Class StandardTypeComparator

java.lang.Object
org.springframework.expression.spel.support.StandardTypeComparator

All Implemented Interfaces:
  `TypeComparator`

public class StandardTypeComparator extends Object implements TypeComparator
A basic `TypeComparator` implementation: supports comparison of `Number` types as well as types implementing `Comparable`.

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller, Giovanni Dall'Oglio Risso

## Constructor Summary

Constructors
Constructor
Description
`StandardTypeComparator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canCompare(Object left, Object right)`
Return `true` if the comparator can compare these two objects.
`int`
`compare(Object left, Object right)`
Compare two given objects.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardTypeComparator

public StandardTypeComparator()

## Method Details

### canCompare

public boolean canCompare(@Nullable Object left, @Nullable Object right)
Description copied from interface: `TypeComparator`
Return `true` if the comparator can compare these two objects.

Specified by:
  `canCompare` in interface `TypeComparator`
Parameters:
  `left` - the first object
  `right` - the second object
Returns:
  `true` if the comparator can compare these objects

### compare

public int compare(@Nullable Object left, @Nullable Object right) throws SpelEvaluationException
Description copied from interface: `TypeComparator`
Compare two given objects.

Specified by:
  `compare` in interface `TypeComparator`
Parameters:
  `left` - the first object
  `right` - the second object
Returns:
  0 if they are equal, a negative integer if the first is smaller than the second, or a positive integer if the first is larger than the second
Throws:
  `SpelEvaluationException`
See Also:
  - `Comparable.compareTo(T)`